**`Mohamed Ali GRISSA`[NAME]** -NL- 73 Avenue de la République 92120 - Montrouge, France -NL- Mail : **`grissa.medali@gmail.com`[EMAILS_EMAIL]** -NL- Tel : **`+33 7 61 16 21 68`[PHONES_PHONE]** -NL- Full-stack software engineer -NL- **`SKILLS`[SKILLS_HEADING]** -NL- Functional skills -NL-  Development. -NL-  -NL-  Test and deployment. -NL-  -NL-  Technical documentation. -NL-  -NL-  Definition of technical and functional needs. -NL-  -NL-  Tutor. -NL-  -NL-  Reporting. -NL- **`Technical skills`[SKILLS_HEADING]** -NL- Databases -NL- Oracle, MySQL, DB2. -NL- Front development -NL- AngularJS, Angular 2/4/5, HTML5, CSS3, Javascript, Typescript, JQuery, -NL- Backbone.js, unit tests (TDD, BDD). -NL- Back-end -NL- Java/J2EE, IBM Integration Bus, Spring 4, Java 8, Groovy/Grails. -NL- development -NL- Servers -NL- IBM Websphere, Apache Tomcat, Amazon Web Services -NL- Work methodologies -NL- Scrum (Agile). -NL- Tools -NL- Visual Studio, Eclipse, WebStorm, SVN tortoise, GIT (Source Tree), Soap- -NL- UI, Docker -NL- Xcode, Android Studio, Jenkins, Redmine. -NL- **`Certifications`[OTHERS_HEADING]** -NL- IBM Certified Mobile Application Developer (Worklight Foundation V6.2). -NL- IBM Cloud Academy 2016 – Madrid, Spain -NL- Certification Workplace Success from EFE (Education for Employment) -NL- LANGUES -NL- Arabic: Native -NL- French: Fluent -NL- English: Fluent -NL- 1 -NL- **`Professional experience`[WORK_EXPERIENCE_HEADING]** -NL- De Janvier 2017- -NL- From December 2017 (**`Devoteam Digital Factory`[EMPLOYER_COMPANY_NAME]**) -NL- Project: Aries (Air-Liquide) Development of a mobile and web application for the monitoring and -NL- management of connected gas cylinders. -NL- Role: Full-stack developer (Paris) -NL- Missions and tasks: -NL- - Set up the general structure of the web application with Angular 5. -NL- - Integration of design and development of the front part. -NL- - Deploying the front-end application on AWS (Cloud Front and S3 of Amazon Web Services) -NL- - Java 8 Lambda development and deployment on AWS. -NL- Environment: Angular 5, Typescript, HTML5, SCSS, Material Design, JAVA8, Spring 4, AWS, GIT -NL- Project: Solvay Development of an advanced search engine. -NL- Role: Full-stack developer (Paris) -NL- Missions and tasks: -NL- - Set up the general structure of the application. -NL- - Development of the front part. -NL- - Integration of Elastic search -NL- - Updating data and indexes -NL- - Chatbot integration (Google Dialog Flow V2) -NL- Environment: Angular 5, Typescript, HTML5, SCSS, JAVA8, DialogFlow V2, Docker -NL- Project: Key-nnected: Development of an internal social network of a bank that is an IOS mobile -NL- application and a WEB back-office that aims to offer coffee between colleagues, chat (1-1 or chat -NL- group), post news and articles, etc. -NL- Role: Full-stack developer (Paris) -NL- Missions and tasks: -NL- - REST web services development with Spring 4 and Java 8. -NL- - Integration of SOAP Web Services for the user authentication part. -NL- - Installation and clone of the surrounding production with Docker -NL- - Put the structure, Integrate, Expand the front-end part with Angular 5. -NL- - Management and update Oracle database scripts. -NL- Environment: Angular 5, Typescript, JAVA 8, Spring 4, Docker, Oracle 11g, IBM WAS 8.5.5.11, GIT, -NL- Maven, Jenkins. -NL- 2 -NL- From January 2017 - December 2017 (**`Exteam`[EMPLOYER_COMPANY_NAME]**) -NL- Project: UFF (Union Financière de France) Developing a Web application for a -NL- financial adviser bank. -NL- Role: Full-stack developer (Paris). -NL- Missions and tasks: -NL- - REST web services development with Spring 4 and Java 8. -NL- - Put the structure, Integrate, Develop the front-end part. -NL- - Integrate and build salesforce and BDOC data. -NL- - Design and develop the electronic signature and handwritten (front). -NL- - Develop functional tests. -NL- - Versioning / Merge Git. -NL- - Performance testing -NL- Environment: Angular 4, Typescript, HTML5, Sass, Material Design, JasmineJS, Karma, JAVA 8, -NL- Spring 4, Jmeter. -NL- From January 2012 (**`Proxym Group`[EMPLOYER_COMPANY_NAME]**) -NL- Project: Woqod Development of a BO and a cross-platform web/mobile application for Woqod. The -NL- purpose of this application is to facilitate access to all services offered by Woqod for these customers: -NL- Petrol stations, car lift, technical visit, gas distribution for residents of Qatar and for industrial plants. -NL- Role: Front-end Developer (Mission in Qatar). -NL- Missions and tasks: -NL- - Set up the general structure of the application. -NL- - Development of the front part. -NL- - Write unit tests (TDD). -NL- - Versioning Git. -NL- Environment: Angular 2.0, Typescript, IBM MobileFirst 8.0, HTML5, CSS3, Bootstrap 3.3.7, -NL- JasmineJS, Karma. -NL- Project: Arab Bank Development of a cross-platform mobile application developed with the IBM -NL- MobileFirst 7.1 Framework for Arab Bank Clients. -NL- Role: Full-stack Developer (Amman - Jordan). -NL- Missions and tasks: -NL- - Set up the general structure of the application. -NL- - Prepare and install the development environment -NL- - Coach junior developers to apply Best Practices. -NL- - Versioning Git. -NL- - Integration of plugins. -NL- - Develop modules: Security, Simulation, Transaction, Payment. -NL- - Write unit tests (BDD and TDD). -NL- 3 -NL- - Integration of the Adapter layer with the middleware. -NL- - Test and deployment on DEV, SIT, UAT environements. -NL- - Technical documentation. -NL- Environment: AngularJS 1.5, Java, IBM MobileFirst, HTML5, CSS3, IBM Integration Bus, SOA, -NL- Spring, Soap-UI, IBM WebSphere Application Server, IBM DB2, BDD (Protractor), TDD (Karma), Gulp -NL- (Task runner). -NL- Project: MOI Kuwait Development of a cross-platform mobile application developed with the IBM -NL- MobileFirst Framework 7.1 for the Kuwait Ministry of the Interior (Professional Electronic Services). -NL- Role: Front-end developer. (Mission in Kuwait). -NL- Missions and tasks: -NL- - Coach junior developers to apply Best Practices. -NL- - Development of "inquiries" modules with AngularJS -NL- - Write unit tests (BDD and TDD). -NL- - Integration of the authentication module with a Data Power. -NL- - Integration of the Adapter layer with the middleware developed by the ME team. -NL- - Consume REST and SAOP web services. -NL- - Test and deployment on environments DEV, SIT, UAT. -NL- - Technical and functional documentation. -NL- Environment: AngularJS 1.5, IBM MobileFirst, HTML5, CSS3, IBM WebSphere Application Server -NL- Network Deployment, IBM DB2, Jasmine JS. -NL- References: Android: https://play.google.com/store/apps/details?id=com.MoIKuwait -NL- IOS: https://itunes.apple.com/fr/app/moi-kuwait/id871764188?mt=8 -NL- Project: Development of a cross-platform mobile application (IBM MobileFirst) for a Tunisian -NL- Banc subsidiary of “Société Générale”. -NL- Role: Full-stack developer (Tunisia). -NL- Missions and tasks: -NL- - Set up the general structure of the application. -NL- - Prepare and install a development environment -NL- - Coach junior developers to apply Best Practices. -NL- - Versioning Git. -NL- - Integration of plugins. -NL- - Integration of mobile SDK and VASCO server. -NL- - Write unit tests (TDD). -NL- - Develop modules: Security, Simulation, Transaction. -NL- - Test and deployment. -NL- - Communication with the customer. -NL- Environment: AngularJS 1.4, Java, IBM MobileFirst, HTML5, CSS3, Karma. -NL- References: Android: https://play.google.com/store/apps/details?id=com.uib.uibmobile&hl=fr -NL- IOS: https://itunes.apple.com/fr/app/uib-mobile/id1242238953?mt=8 -NL- 4 -NL- Project: iDubai is a cross-platform mobile application for Dubai Municipality that provides -NL- individuals and businesses with lifestyle, business-centric content, tools to help users improve, -NL- maintain and advance their quality of life in Dubai. As part of this human-centric approach, the -NL- new app contains information, curated content, and smart services designed to meet and -NL- anticipate customer expectations -NL- . -NL- Role: Front-end Developer (Mission in Dubai). -NL- Missions et tasks: -NL- - Organize and correct the source code. -NL- - Optimize application performance. -NL- - Improve and fix the current modules. -NL- - Produce technical documentation on the project architecture. -NL- - Add new modules and new features. -NL- Environment: AngularJS 1.4, IBM MobileFirst, HTML5, CSS3. -NL- References: Android: https://play.google.com/store/apps/details?id=com.idubai.ae -NL- IOS: https://itunes.apple.com/us/app/idubai/id427718650?mt=8 -NL- WindowsPhone:https://www.microsoft.com/en-gb/store/apps/idubai/9nblgggzjw48 -NL- Blackberry:https://appworld.blackberry.com/webstore/content/40164909/?lang=en -NL- &countrycode=TN -NL- Project: RTA Dubai Corporates Services is a cross-platform mobile application that provides the -NL- services of the Roads and Transport Authority of Dubai. -NL- Role: Full-stack developer (Mission in Dubai - UAE). -NL- Missions and tasks: -NL- - Development of "Enoc" and Payment (DSG) modules with Backbone.js. -NL- - Integration of the authentication module with MyID (Single Sign-On) to all services provided -NL- by government entities in Dubai. -NL- - Implementation of the Adapter layer (Consumption of SOAP web services). -NL- - Test SOAP and REST web services and business flows. -NL- - Test and deployment on DEV, SIT, UAT and Production environments. -NL- - Technical documentation on the various phases of deployment on the WebSphere Liberty -NL- Application Server. -NL- Environment: Backbone.js, HTML5, CCS3, IBM Worklight 6.1, Oracle 10g, Soap-UI, Java -NL- References: Android:https://play.google.com/store/apps/details?id=com.rta.corporates&hl=fr -NL- IOS: https://itunes.apple.com/hk/app/rta-dubai/id426109507?mt=8 -NL- Windows Phone:https://www.microsoft.com/en-us/store/apps/corporate- -NL- services/9wzdncrdgx10 -NL- Blackberry :https://appworld.blackberry.com/webstore/content/59937347/?country -NL- code=US&lang=n -NL- 5 -NL- Project: FAHR: Federal Authority for Human Resources (UAE) is a cross-platform mobile -NL- application that provides services related to the main activity of the organization. -NL- Role: Full-stack developer (Mission in Abu Dhabi – UAE) -NL- Missions and tasks: -NL- - Development of authentication modules, push notifications, news... with -NL- Backbone.js -NL- - Development and testing of SOAP web services. -NL- - Developing the Adapter layer to consume SOAP Web Services. -NL- - Test and deployment on DEV, SIT, UAT and Production environments. -NL- - Application support -NL- Environment: jQuery, jQueryMobile, Backbone.JS, Java, Spring, HTML5, CCS3, IBM Worklight, -NL- IBM – WebSphere Application Server Liberty Profile, Oracle 10g -NL- References: Android: https://play.google.com/store/apps/details?id=com.Fahr&hl=fr -NL- IOS: https://itunes.apple.com/us/app/fahr/id918247230?mt=8 -NL- Windows Phone: https://www.microsoft.com/en-gb/store/apps/fahr/9wzdncrdt6fq -NL- Blackberry: https://appworld.blackberry.com/webstore/content/59939413/?lang=en -NL- Project: Expert Database Portal (NUMU): Web application developed with Groovy/Grails -NL- (Java/J2EE). -NL- Role: Backend developer (Tunisia). -NL- Missions and tasks: -NL- - Development of the management module of experts, consultants and visitors. -NL- - Integration of the "Elastic Search" plugin. -NL- - Integration of different JQeury module (Unslider, Rating ...). -NL- - Indexing the MySQL database. -NL- - Deployment of the application on the dev and production environment (Apache Tomcat). -NL- Environment: Groovy/Grails, Java, HTML5, CSS3, jQuery, Bootstrap, Apache Tomcat. -NL- 6 -NL- 